Subject: bug#30243: 26.0.91; Infinite recursion in `make-auto-save-file-name' for quoted filenames

From: Eli Zaretskii <[email-masked]>
Date: Wed, 31 Jan 2018 18:02:06 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 30 Jan 2018 19:01:52 -0500
> 
> Philipp Stephani <[email-masked]> writes:
> 
> > If my git bisect is correct, it was
> > commit a1bbc490155b61a634a6d0b165000ce35b93aa35 to fix Bug#29579. So
> > by fixing one bug we introduced another one :(
> 
> Actually, looking at Bug#29579 again, it doesn't seem *that* bad, and as
> far as I can tell, it has existed for a long time (still occurs back in
> 24.3).  So reverting that fix seems like a reasonable option too.  I can
> confirm that doing so fixes this bug.

I tend to agree.  Michael, WDYT?

> >     I also wonder how come we've succeeded to break quoted file names
> >     so fundamentally -- what change did that, and why did we make it
> >     on the release branch?
> 
> IMO, the root cause is pretty clearly lack of adequate tests for this.
> There are more than 60 file-handler operations; it's crazy to expect to
> be able to make a correct change without an automated test that at least
> exercises each one.

Right, thanks.

So if Michael agrees, I think we should revert the fix for bug#29579
on the release branch, and merge the branch you two worked on onto
master.